### Namespace

# Pos – 0

Stevia On Screen

Version | 0.57.0
Authors | Guido Günther
License | GPL-3-or-later
Website | https://gitlab.gnome.org/World/Phosh/stevia/
Source | https://gitlab.gnome.org/World/Phosh/stevia/

#### Build

pkg-config files | `pos-0`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Testing Keyboard Layouts
- Classes Hierarchy

#### Classes

ActivationFilter | Allows to suppress OSK activation based on the app-id of the currently active application.
CharPopup | A character popup.
ClipboardManager | Handle copy/paste.
CompleterBase | Class to ease implementing completers. Completers aren’t required to use this class.
CompleterHunspell | A completer using hunspell.
CompleterManager | Manages initialization and lookup of the different completion engines.
CompleterPipe | A completer using a Unix pipe like approach.
CompleterPresage | A completer using presage.
CompleterUim | A completer using uim.
CompleterVarnam | A completer using varnam.
CompletionBar | A button bar that displays completions and emits “selected” if one is picked.
CompletionsBox | A box that contains completions.
EmojiDb | The emoji database.
EmojiPicker | A widget to pick emojis from.
HwTracker | Track connected hardware state (e.g. connected keyboards).
IndicatorPopup | A popup indicating the currently pressed character.
InputMethod | A Wayland input method handler. This wraps the zwp_input_method_v2 protocol easing things like double buffering state.
InputSurface | Main surface that has all the widgets. Should not bother how the OSK is driven.
Keypad |
KeypadButton |
LogindSession | Singleton to track logind session properties.
OskKey | A key on the osk widget.
OskWidget | Renders the keyboard and reacts to keypresses by signal emissions.
Output | An output.
ShortcutsBar | The shortcuts bar contains buttons that emit key combinations (like `<ctrl>c`). These can be configured via GSettings.
SizeManager | Calculate a useful surface size.
StyleManager | The style manager is responsible for picking style sheets and themes and notifying other parts of the shell about changes.
VirtualKeyboard | A Wayland virtual keyboard that gets its keymaps from GNOME. It’s not concerned with any rendering.
VkDriver | Processes input events and drives a virtual keyboard using the wayland virtual keyboard protocol. The input events can either be based on kernel input event codes or GDK keycodes.
Wayland | A wayland registry listener.

#### Interfaces

Completer | Interface for completion engines.

#### Structs

_KeypadButtonClass |
CompletionInfo | Info about a completer for certain region/language.
ImState |
Shortcut |

#### Enumerations

BackspaceMode | How much a press of backspace should remove.
InputMethodHint | Input hint as specified by text input protocol.
InputMethodPurpose | Input purpose as specified by text input protocol.
InputMethodTextChangeCause |
OskKeyUse | The use (purpose) of a key.
OskWidgetLayer | The currently displayed keyboard layer.
OskWidgetMode | The mode the `PosOskWidget` is in.

#### Bitfields

KeycodeModifier |
VirtualKeyboardModifierFlags | Modifiers matching the ones from wl_keyboard.

#### Error Domains

CompleterError | Errors emitted by the completion engines.

#### Functions

completion_box_set_completions |
init | Initialize the library. This ensures the available types and loads the resources.
open_settings_panel |
uninit | Free up resources.

#### Function Macros

OSK_KEY_DBG |

#### Constants

COMPLETER_DEFAULT_LANG |
COMPLETER_DEFAULT_REGION |
OSK_SYMBOL_DOWN |
OSK_SYMBOL_LEFT |
OSK_SYMBOL_RIGHT |
OSK_SYMBOL_SPACE |
OSK_SYMBOL_UP |
OSK_WIDGET_KEY_HEIGHT_DEFAULT |
OSK_WIDGET_KEY_HEIGHT_MAX |